Check cascading updates
curl --request PATCH \
--url https://staging.api.us.aptlydone.com/decision/v1/delegations/check-cascading-updates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"decisionId": "864fa115-52d0-4466-baff-740447a60774",
"parentDelegationId": "726fa115-52d0-4466-baff-740447a60774",
"updatedPathwayOptions": [
"Matrix",
"Direct Line",
"Functional"
],
"updatedDelegationGroups": [
{
"groupId": "105fa115-52d0-4466-baff-740447a60774",
"tenantGroupTypeId": "105fa115-52d0-4466-baff-740447a60774",
"displayName": "Engineering Team",
"groupName": "Engineering Team",
"isInvalid": false
}
],
"updatedDelegationAuthorities": [
{
"authorityTypeId": "105fa115-52d0-4466-baff-740447a60774",
"authorityLimit": "Primary",
"authorityLimitValueType": "Currency",
"authorityLimitOperator": "<=",
"redelegable": true,
"authorityTypeOrder": 1,
"authorityLimitValue": "1000000",
"authorityLimitValueUnit": "$",
"redelegationLimitValue": "500000",
"redelegationLimitValueUnit": "$",
"isInvalid": false,
"isLimitOverridden": false
}
],
"updatedDecisionGroups": [
{
"groupId": "105fa115-52d0-4466-baff-740447a60774",
"tenantGroupTypeId": "105fa115-52d0-4466-baff-740447a60774",
"displayName": "Engineering Team",
"groupName": "Engineering Team"
}
],
"updatedDecisionAuthorities": [
{
"authorityTypeId": "105fa115-52d0-4466-baff-740447a60774",
"authorityType": "Approval",
"authorityLimit": "Primary",
"authorityLimitValueType": "Currency",
"authorityLimitOperator": "<=",
"authorityTypeOrder": 1,
"authorityTypeIcon": "check-square",
"authorityLimitValue": "1000000",
"authorityLimitValueUnit": "$"
}
]
}
'import requests
url = "https://staging.api.us.aptlydone.com/decision/v1/delegations/check-cascading-updates"
payload = {
"decisionId": "864fa115-52d0-4466-baff-740447a60774",
"parentDelegationId": "726fa115-52d0-4466-baff-740447a60774",
"updatedPathwayOptions": ["Matrix", "Direct Line", "Functional"],
"updatedDelegationGroups": [
{
"groupId": "105fa115-52d0-4466-baff-740447a60774",
"tenantGroupTypeId": "105fa115-52d0-4466-baff-740447a60774",
"displayName": "Engineering Team",
"groupName": "Engineering Team",
"isInvalid": False
}
],
"updatedDelegationAuthorities": [
{
"authorityTypeId": "105fa115-52d0-4466-baff-740447a60774",
"authorityLimit": "Primary",
"authorityLimitValueType": "Currency",
"authorityLimitOperator": "<=",
"redelegable": True,
"authorityTypeOrder": 1,
"authorityLimitValue": "1000000",
"authorityLimitValueUnit": "$",
"redelegationLimitValue": "500000",
"redelegationLimitValueUnit": "$",
"isInvalid": False,
"isLimitOverridden": False
}
],
"updatedDecisionGroups": [
{
"groupId": "105fa115-52d0-4466-baff-740447a60774",
"tenantGroupTypeId": "105fa115-52d0-4466-baff-740447a60774",
"displayName": "Engineering Team",
"groupName": "Engineering Team"
}
],
"updatedDecisionAuthorities": [
{
"authorityTypeId": "105fa115-52d0-4466-baff-740447a60774",
"authorityType": "Approval",
"authorityLimit": "Primary",
"authorityLimitValueType": "Currency",
"authorityLimitOperator": "<=",
"authorityTypeOrder": 1,
"authorityTypeIcon": "check-square",
"authorityLimitValue": "1000000",
"authorityLimitValueUnit": "$"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
decisionId: '864fa115-52d0-4466-baff-740447a60774',
parentDelegationId: '726fa115-52d0-4466-baff-740447a60774',
updatedPathwayOptions: ['Matrix', 'Direct Line', 'Functional'],
updatedDelegationGroups: [
{
groupId: '105fa115-52d0-4466-baff-740447a60774',
tenantGroupTypeId: '105fa115-52d0-4466-baff-740447a60774',
displayName: 'Engineering Team',
groupName: 'Engineering Team',
isInvalid: false
}
],
updatedDelegationAuthorities: [
{
authorityTypeId: '105fa115-52d0-4466-baff-740447a60774',
authorityLimit: 'Primary',
authorityLimitValueType: 'Currency',
authorityLimitOperator: '<=',
redelegable: true,
authorityTypeOrder: 1,
authorityLimitValue: '1000000',
authorityLimitValueUnit: '$',
redelegationLimitValue: '500000',
redelegationLimitValueUnit: '$',
isInvalid: false,
isLimitOverridden: false
}
],
updatedDecisionGroups: [
{
groupId: '105fa115-52d0-4466-baff-740447a60774',
tenantGroupTypeId: '105fa115-52d0-4466-baff-740447a60774',
displayName: 'Engineering Team',
groupName: 'Engineering Team'
}
],
updatedDecisionAuthorities: [
{
authorityTypeId: '105fa115-52d0-4466-baff-740447a60774',
authorityType: 'Approval',
authorityLimit: 'Primary',
authorityLimitValueType: 'Currency',
authorityLimitOperator: '<=',
authorityTypeOrder: 1,
authorityTypeIcon: 'check-square',
authorityLimitValue: '1000000',
authorityLimitValueUnit: '$'
}
]
})
};
fetch('https://staging.api.us.aptlydone.com/decision/v1/delegations/check-cascading-updates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 200,
"timestamp": "2026-01-08T06:33:50.384Z",
"message": "Success",
"data": {
"numberOfChildDelegationsInvalidated": false,
"childDelegationsInvalidated": false
}
}Delegations
Check cascading updates
PATCH
/
v1
/
delegations
/
check-cascading-updates
Check cascading updates
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
ID of decision being edited which will potentially cascade updates to its child delegations
Example:
"864fa115-52d0-4466-baff-740447a60774"
ID of delegation being edited which will potentially cascade updates to its child delegations
Example:
"726fa115-52d0-4466-baff-740447a60774"
Updated Delegation Pathway options
Example:
["Matrix", "Direct Line", "Functional"]
Updated Delegation Groups
Show child attributes
Show child attributes
Updated Delegation Authorities
Show child attributes
Show child attributes
Updated Decision Groups
Show child attributes
Show child attributes
Updated Decision Authorities
Show child attributes
Show child attributes
Response
200 - application/json
Cascading updates checked successfully before Delegation update
Was this page helpful?
āI